use anyhow::Context as _;

pub async fn update_wiki_overview(
    forgejo: &forgejo_api::Forgejo,
    meta: &crate::event_meta::RepoMeta,
    timestamp: String,
    new_body: String,
) -> anyhow::Result<()> {
    // TODO: Figure out why we get a 404 when the edit was successfull...
    let _ = forgejo
        .repo_edit_wiki_page(
            &meta.owner,
            &meta.name,
            "Home",
            forgejo_api::structs::CreateWikiPageOptions {
                content_base64: Some(base64::encode(new_body.as_bytes())),
                message: Some(format!("Updated to latest model at {timestamp}")),
                title: Some("Home".to_owned()),
            },
        )
        .await
        .context("Failed editing the wiki page");
    Ok(())
}
